.password-reveal-button-wrapper {
	position: relative;
	display: flex;
	--prb-right: 2px;
	--prb-width: 24px;
	--padding-right-for-prb-wrapper: calc(var(--prb-right) + var(--prb-width));
}

.password-reveal-button {
	position: absolute;
	right: var(--prb-right);
	align-self: center;
	cursor: pointer;
	height: var(--prb-width);
	width: var(--prb-width);
	border: none;
	background: transparent no-repeat center / contain;
}

.password-visibility {
	background-image: url("/img/ic_visibility.svg");
}

.password-visibility-off {
	background-image: url("/img/ic_visibility_off.svg");
}

/* for Edge */
[class^='m2k-ui-item-passwd']::-ms-reveal,
[class*=' m2k-ui-item-passwd']::-ms-reveal {
	display: none;
}

@keyframes onAutoFillStart,
@keyframes onAutoFillEnd {
	from {/**/}
	to {/**/}
}

[class^='m2k-ui-item-passwd']:autofill,
[class^='m2k-ui-item-passwd']:-webkit-autofill,
[class*=' m2k-ui-item-passwd']:autofill,
[class*=' m2k-ui-item-passwd']:-webkit-autofill {
	animation-name: onAutoFillStart;
	transition: background-color 0.000001s linear 0s;
}

[class^='m2k-ui-item-passwd']:not(:autofill):not(:-webkit-autofill),
[class*=' m2k-ui-item-passwd']:not(:autofill):not(:-webkit-autofill) {
	animation-name: onAutoFillEnd;
	transition: background-color 0.000001s linear 0s;
}
